;=======================================================
; Common Data Area
;-------------------------------------------------------

;=======================================================
; Revision History:
;
; 2005-01-31    Initial version
;-------------------------------------------------------

                include ../pic.inc

                global  SEG1
                global  SEG2
                global  SEG3
                global  SEG4
                global  CTRL

;=======================================================
; This data area forms the link between the code that
; interrogates the RTC chip for the current time and the
; interrupt routine that displays it.
;
; The segment variables hold the bit pattern for the
; digit rather than the 0-9 digit value itself.
;
; The CTRL variable hold the current state of the LEDs,
; lamp and buzzer.

                udata
SEG1            res     1
SEG2            res     1
SEG3            res     1
SEG4            res     1

CTRL            res     1

                end
