;==============================================================================
; Return Register Declaration
;------------------------------------------------------------------------------

; Notes:
;
; The 12 bit core does not have a RETURN instruction which means that all
; computed results must be returned in a register. This module defines a
; register that can be used for this purpose.

;==============================================================================
; Revision History:
;
; 2005-02-06 AJ Initial version
;------------------------------------------------------------------------------

                include ../pic.inc

                if      HAS_12_BIT_CORE

                global  RESULT

;==============================================================================
; Reserve a register for returning computed data values.

                udata
RESULT          res     1               ;Holds computed return values

                endif
                end
