;==============================================================================
; Scratch Space
;------------------------------------------------------------------------------

; Notes:
;
; This module reserves a small number of contiguous registers that can be used
; be routines as temporary storage during thier operation.
;
; These registers should only be used in routines that do not call on to
; further routines as the values may be overwritten.

;==============================================================================
; Revision History:
;
; 2005-02-06 AJ Initial version
;------------------------------------------------------------------------------

                global  SCRATCH

;==============================================================================

                udata
SCRATCH         res     2               ;Reserve a few scratch registers

                end
