		nolist
;=======================================================
; Library Configuration 
;-------------------------------------------------------

; Notes:
;
; This file defines a configuration values and constants
; that affect the ports and bits used by some of the
; library routines. 

;-------------------------------------------------------
; Revision History:
;
; 2005-02-06 AJ	Initial version
;-------------------------------------------------------

;=======================================================
; Seven Segment LED Bits 
;-------------------------------------------------------

SEGMENT_A	equ	b'10000000'
SEGMENT_B	equ	b'01000000'
SEGMENT_C	equ	b'00100000'
SEGMENT_D	equ	b'00010000'
SEGMENT_E	equ	b'00001000'
SEGMENT_F	equ	b'00000100'
SEGMENT_G	equ	b'00000010'
SEGMENT_DP	equ	b'00000001'

;=======================================================
; I2C Communications Ports and Bits
;-------------------------------------------------------

                ifdef  __16F628
I2C_TRIS        equ     TRISA
I2C_PORT        equ     PORTA
I2C_SCL         equ     5
I2C_SDA         equ     4
                endif

		ifdef 	__16F74
I2C_TRIS        equ	TRISC
I2C_PORT        equ	PORTC
I2C_SCL         equ	3
I2C_SDA         equ	4
		endif

		list
