                nolist
;==============================================================================
; Generic PIC Definitions
;------------------------------------------------------------------------------

; Notes:
;
;

;==============================================================================
; Revision History:
;
; 2004-11-18    Initial version
;------------------------------------------------------------------------------

                page
;==============================================================================
; 12-Bit Cores
;------------------------------------------------------------------------------

                ifdef   __10F200
                include P10F200.inc
                nolist

HAS_12_BIT_CORE equ     1
                endif

                ifdef   __12C508
                include P12C508.inc
                nolist

HAS_12_BIT_CORE equ     1
                endif

                page
;==============================================================================
; 14-Bit Cores
;------------------------------------------------------------------------------

                ifdef   __12F675
                include P12F675.inc
                nolist

HAS_14_BIT_CORE equ     1
HAS_BO_DETECT   equ     1
HAS_INTERRUPTS  equ     1
HAS_BANKED_RAM  equ     1
HAS_EEPROM      equ     1

PICKIT_ONE      equ     1
                endif

                ifdef   __16F628
                include P16F628.inc
                nolist

HAS_14_BIT_CORE equ     1
HAS_BO_DETECT   equ     1
HAS_INTERRUPTS  equ     1
HAS_BANKED_RAM  equ     1
HAS_EEPROM      equ     1
                endif

                ifdef   __16F688
                include P16F688.inc
                nolist

HAS_14_BIT_CORE equ     1
HAS_BO_DETECT   equ     1
HAS_INTERRUPTS  equ     1
HAS_BANKED_RAM  equ     1
HAS_EEPROM      equ     1

PICKIT_ONE      equ     1
                endif


                ifdef   __16F74
                include P16F74.inc
                nolist

HAS_14_BIT_CORE equ     1
HAS_BO_DETECT   equ     1
HAS_INTERRUPTS  equ     1
HAS_BANKED_RAM  equ     1
HAS_BANKED_ROM  equ     1
                endif



                page
;==============================================================================
; 16-Bit Cores
;------------------------------------------------------------------------------



;==============================================================================
;
;------------------------------------------------------------------------------

                ifndef  HAS_12_BIT_CORE
HAS_12_BIT_CORE equ     0
                endif

                ifndef  HAS_14_BIT_CORE
HAS_14_BIT_CORE equ     0
                endif

                ifndef  HAS_16_BIT_CORE
HAS_16_BIT_CORE equ     0
                endif

                if      !(HAS_12_BIT_CORE|HAS_14_BIT_CORE|HAS_16_BIT_CORE)
                error   "Processor type was not recognized"
                endif

;------------------------------------------------------------------------------

                ifndef  HAS_BO_DETECT
HAS_BO_DETECT   equ     0
                endif

                ifndef  HAS_INTERRUPTS
HAS_INTERRUPTS  equ     0
                endif

;------------------------------------------------------------------------------

                ifndef  HAS_BANKED_RAM
HAS_BANKED_RAM  equ     0
                endif

                ifndef  HAS_BANKED_ROM
HAS_BANKED_ROM  equ     0
                endif

                ifndef  HAS_EEPROM
HAS_EEPROM      equ     0
                endif

;------------------------------------------------------------------------------

                ifndef  HAS_SSP
HAS_SSP         equ     0
                endif

                ifndef  HAS_MSSP
HAS_MSSP        equ     0
                endif

;------------------------------------------------------------------------------

                ifndef  PICKIT_ONE
PICKIT_ONE      equ     0
                endif

                list
