		nolist
;==============================================================================
; Common Data Area Definitions
;------------------------------------------------------------------------------

; Notes:
;
; This file defines the external symbols used to access the register used to
; communication the current display settings from the main clock logic module
; to the interrupt code that updates the hardware to reflect them.
;
; It also defines contant values for the bits in the CTRL register used to
; enable various outputs.

;==============================================================================
; Revision History:
;
; 2005-01-31 AJ	Initial version
;------------------------------------------------------------------------------

		extern 	SEG1
		extern 	SEG2
		extern 	SEG3
		extern	SEG4
		extern	CTRL
		
; CTRL register bit allocations		

CTRL_SYNC       equ     7
CTRL_AMPM       equ     3
CTRL_SECS       equ     2
CTRL_LAMP       equ     1
CTRL_BUZZ       equ     0

		list
