;==============================================================================
; Brown Out Reset Handler (Default)
;------------------------------------------------------------------------------

; Notes:
;
; If no brown out reset entry point is provided in the main application objects
; then this module will be used to provide a default implementation.

;==============================================================================
; Revision History:
;
; 2004-12-29 AJ Initial version
;------------------------------------------------------------------------------

                include ../pic.inc

                errorlevel -312

                global  BrownOutReset

                extern  PowerOnReset

;==============================================================================

                code

; The default behaviour for brown out is simply to treat it the same as a power
; on reset.

BrownOutReset   lgoto   PowerOnReset

                end
